Summary: A color font rendering library for X11R6.
Name: fnlib
Version: 0.5
Release: 2
Group: System Environment/Libraries
Copyright: LGPL
Url: http://www.enlightenment.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.enlightenment.org/pub/enlightenment/fnlib/fnlib-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Fnlib is a library that provides full, scalable 24 bit color font 
rendering abilities for the X Window System.


%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/Libraries
Requires: fnlib

%description devel
The fnlib-devel package contains headers, static libraries and
documentation for Fnlib development.

Install fnlib-devel if you want to develop Fnlib applications.


%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL NEWS README
%config /etc/fnrc
/usr/lib/lib*.so.*
/usr/share/fnlib_fonts

%files devel
%defattr(-,root,root)
%doc doc/fontinfo.README
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so


%clean
rm -rf $RPM_BUILD_ROOT

